Bug 123755 - shift-click select does not work for marking large clipboards
Summary: shift-click select does not work for marking large clipboards
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: copy-paste (show other bugs)
Version: 1.6
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-16 22:48 UTC by Alan Ezust
Modified: 2012-12-28 15:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Ezust 2006-03-16 22:48:33 UTC
Version:           1.6 (using KDE 3.5.1, Debian Package 4:3.5.1-3 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.15nv

In some editing apps, if you click on one spot, scroll around a while, and then hold shift while clicking again, that defines the start and end points of a region to mark in the text, which you can copy into the clipboard.

I really wish that worked in Konsole - I often have large amounts of scollback I'd like to copy and paste into an editor, and it's so tedious to click and drag. I'd like to be able to click a spot, scroll down to the bottom of the konsole scrollbar, and shift-click, to mark from that point to the bottom of the scrollback buffer. Then copy.
Comment 1 Stephan Binner 2006-03-17 15:08:02 UTC
Why has it to be shift-click? What's wrong with right click and "Set Selection End"?
Comment 2 Alan Ezust 2006-03-17 18:58:12 UTC
Ah - didn't notice that. nice that I can do it that way too. i never
looked for that in the context menu before since the shift-click works in most other view widgets.

I suppose it would be nice to have shift-click do the same thing...
Comment 3 Jekyll Wu 2011-10-24 14:08:02 UTC
rxvt-unicode and vte-based emulators have this feature. I find it quite handy. 

And, the "Set Selection End" is unfortunately gone in KDE4 konsole(bug 181986), so we'd better either get that action back or implement this feature.
Comment 4 Kurt Hindenburg 2012-12-28 15:12:24 UTC
Git commit 9a3d588d0e9abf2b01bf769c88bc3fafbe65ccd8 by Kurt Hindenburg.
Committed on 28/12/2012 at 16:05.
Pushed by hindenburg into branch 'master'.

Implement Shift+click to extend selection

Add ability to press Shift+Click to extend the mouse selection.  In
KDE3 there was the menu option to 'Set Selection End' which this mimics.

REVIEW: 107566
FIXED-IN: 4.11

M  +9    -5    src/TerminalDisplay.cpp

http://commits.kde.org/konsole/9a3d588d0e9abf2b01bf769c88bc3fafbe65ccd8